//  Unit of TSP Solver
//  Created by GrMikeD, 2000-2003
//  http://kickme.to/GrMikeD
//  GrMikeD@Freemail.gr
unit Error;

interface

const
  E_NOERROR = 0;
  E_FILEOPEN = 1;
  E_FILESAVE = 2;
  E_INVALIDFILE = 3;

  E_PATH = 'Connectivity Problem';
  E_INTERRUPTED = 'Interrupted by User';

function ErrorMessage(Code: Integer): string;

implementation

function ErrorMessage(Code: Integer): string;
begin
  case Code of
    E_NOERROR:
      Result:= 'No Error';
    E_FILEOPEN:
      Result:= 'Unable to open file';
    E_FILESAVE:
      Result:= 'Unable to save to file';
    E_INVALIDFILE:
      Result:= 'Invalid file, check size or format';
    else
      Result:= 'Unknown Error';
  end;
end;

end.
